Subject: Re: Error from sdr under NT

From: John Brezak <[email-masked]>
Date: Wed, 14 Aug 1996 07:18:48 -0400

At 08:54 AM 8/13/96 -0700, John Meylor wrote:
>I've seen a couple other inquiries on this and I'm
>finding the same problem myself, so useful replies
>copied to the mbone mailing would be appreciated.
>
>- John Meylor
>
>> 
>> So I unpacked the Windows NT mbone tools, moved the sdr configuration
>> directory directly below the directory specified by the environment
>> variable "home", and tried to run it. I got an error panel with
>> the message
>> 
>> socket fd too large (104)
>> 
>> When I start it from the command line, and
>> 
>> socket fd too large (76)
>> 
>> when I start it from file manager.
>> 
>> What is it trying to tell me?
>> 
>> I'm runnning NT 3.51.
>> 
>> Don McGregor
>> [email-masked]
>
>

If you have the source, try this patch :-

*** makefile.vc~ Thu Jun 13 11:53:14 1996
--- makefile.vc Tue Aug  6 15:50:04 1996
***************
*** 59,74 ****
  BSC32= bscmake
  BSC32_FLAGS=/nologo /n
  
! INCLUDE_TK = -I../tk4.1/win -I../tk4.1/generic
! INCLUDE_TCL = -I../tcl7.5/win -I../tcl7.5/generic
! INCLUDE_X11 = -I../tk4.1/xlib
  
! LIB_TK = ../tk4.1/win/tk41.lib
! LIB_TCL = ../tcl7.5/win/tcl75.lib
  
  LIBS = $(LIB_TK) $(LIB_TCL)
  INCLUDES = $(INCLUDE_TK) $(INCLUDE_TCL) $(INCLUDE_X11) $(MD_INC)
! BFLAGS = -D_Windows -DVC_EXTRALEAN $(INCLUDES)
  CFLAGS = $(BFLAGS) -DWIN32 -DCANT_MCAST_BIND -DLISTEN_FOR_SD
  
  OBJS = \
--- 59,74 ----
  BSC32= bscmake
  BSC32_FLAGS=/nologo /n
  
! INCLUDE_TK = -I../../tk4.1/win -I../../tk4.1/generic
! INCLUDE_TCL = -I../../tcl7.5/win -I../../tcl7.5/generic
! INCLUDE_X11 = -I../../tk4.1/xlib
  
! LIB_TK = ../../tk4.1/win/tk41.lib
! LIB_TCL = ../../tcl7.5/win/tcl75.lib
  
  LIBS = $(LIB_TK) $(LIB_TCL)
  INCLUDES = $(INCLUDE_TK) $(INCLUDE_TCL) $(INCLUDE_X11) $(MD_INC)
! BFLAGS = -D_Windows -DVC_EXTRALEAN -DWIN32_LEAN_AND_MEAN $(INCLUDES)
  CFLAGS = $(BFLAGS) -DWIN32 -DCANT_MCAST_BIND -DLISTEN_FOR_SD
  
  OBJS = \
***************
*** 86,91 ****
--- 86,101 ----
  	ui_init.obj \
  	win32.obj \
  	www_fns.obj \
+ 	tcl_sdr.obj \
+ 	tcl_sdp.obj \
+ 	tcl_sip.obj \
+ 	tcl_plugins.obj \
+ 	tcl_parsed_plugins.obj \
+ 	tcl_start_tools.obj \
+ 	tcl_new.obj \
+ 	tcl_www.obj \
+ 	tcl_generic.obj \
+ 	tcl_libs.obj
  
  sdr: sdr.exe
  
*** sd_listen.c~ Mon Jul 29 11:59:36 1996
--- sd_listen.c Tue Aug  6 16:04:54 1996
***************
*** 112,122 ****
  unsigned long hostaddr;
  char hostname[TMPSTRLEN];
  char username[TMPSTRLEN];
- unsigned char rfd2sock[64];
  #ifdef WIN32
  unsigned int ttl=1;
  #else
  unsigned char ttl=1;
  #endif
  int doexit=FALSE;
  int debug1=FALSE;
--- 112,123 ----
  unsigned long hostaddr;
  char hostname[TMPSTRLEN];
  char username[TMPSTRLEN];
  #ifdef WIN32
  unsigned int ttl=1;
+ unsigned char rfd2sock[128];
  #else
  unsigned char ttl=1;
+ unsigned char rfd2sock[64];
  #endif
  int doexit=FALSE;
  int debug1=FALSE;
*** ui_init.c~ Wed Jul 10 07:41:28 1996
--- ui_init.c Tue Aug  6 15:58:36 1996
***************
*** 109,114 ****
--- 109,120 ----
      char buf[MAXCLINE];
      int i;
  
+ #ifdef WIN32
+     extern int TkPlatformInit(Tcl_Interp *interp);
+     
+     TkSetPlatformInit(TkPlatformInit);
+ #endif
+ 
      interp = Tcl_CreateInterp();
  #ifdef TCL_MEM_DEBUG
      Tcl_InitMemory(interp);